Package uk.me.nxg.unity

# Class SimpleDecimalUnit

java.lang.Object
uk.me.nxg.unity.OneUnit
uk.me.nxg.unity.SimpleUnit
uk.me.nxg.unity.SimpleDecimalUnit

All Implemented Interfaces:
  `Comparable<OneUnit>`

public class SimpleDecimalUnit extends SimpleUnit
A unit which has a prefix which is a round power of 1000.

See Also:
  - `SimpleBinaryUnit`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`wasGuessed()`
Return true if this unit was guessed.

### Methods inherited from class uk.me.nxg.unity.SimpleUnit

`compareTo, equals, getBaseUnitDefinition, getBaseUnitName, getBaseUnitString, getDimensions, getOriginalUnitString, getPrefix, hashCode, isRecognisedUnit, isRecognisedUnit, isRecommendedUnit, satisfiesUsageConstraints, toDebugString, toString, toString, unitString, unitString`

### Methods inherited from class uk.me.nxg.unity.OneUnit

`divide, getExponent, isQuoted, reciprocate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### wasGuessed

public boolean wasGuessed()
Description copied from class: `OneUnit`
Return true if this unit was guessed. That is, if it was identified heuristically, by using a parser configured with `UnitParser.setGuessing(boolean)`

Overrides:
  `wasGuessed` in class `OneUnit`
Returns:
  true if the unit was guessed